Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.makumba.commons
Class OrderedProperties

    java.lang.Object
      java.util.Dictionary<String,String>
          org.makumba.commons.OrderedProperties

    public class OrderedProperties

extends Dictionary<String,String>

FIXME: can this be replaced by some collection from java.util or apache-commons-collections?

Version:
  $Id: OrderedProperties.java 3693 2009-02-11 00:38:34Z rosso_nero $
Author:
  Cristian Bogdan

Field Summary
`(package private) Hashtable<String,String>` | `content`
`(package private) Vector<String>` | `ks`
`(package private) Hashtable<String,String>` | `orig`

Constructor Summary
`OrderedProperties()`

Method Summary
`Enumeration<String>` | `elements()`
`String` | `get(Object key)`
`String` | `getOriginal(String key)`
`String` | `getProperty(String s)`
`boolean` | `isEmpty()`
`String` | `keyAt(int i)`
`Enumeration<String>` | `keys()`
`String` | `put(String key, String value)`
`Object` | `putAt(int n, String key, String origKey, String value)`
`String` | `putLast(String key, String origKey, String value)`
`String` | `remove(Object key)`
`int` | `size()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ks

    Vector<String> ks

### orig

    Hashtable<String,String> orig

### content

    Hashtable<String,String> content

Constructor Detail

### OrderedProperties

    public OrderedProperties()

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### elements

    public Enumeration<String> elements()

  Specified by:
    `elements` in class `Dictionary<String,String>`

### get

    public String get(Object key)

  Specified by:
    `get` in class `Dictionary<String,String>`

### keys

    public Enumeration<String> keys()

  Specified by:
    `keys` in class `Dictionary<String,String>`

### getOriginal

    public String getOriginal(String key)

### keyAt

    public String keyAt(int i)

### remove

    public String remove(Object key)

  Specified by:
    `remove` in class `Dictionary<String,String>`

### putAt

    public Object putAt(int n,
                        String key,
                        String origKey,
                        String value)

### putLast

    public String putLast(String key,
                          String origKey,
                          String value)

### put

    public String put(String key,
                      String value)

  Specified by:
    `put` in class `Dictionary<String,String>`

### getProperty

    public String getProperty(String s)

### size

    public int size()

  Specified by:
    `size` in class `Dictionary<String,String>`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in class `Dictionary<String,String>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Docs generated on 2009-02-25 14:20